# Folder with datafiles for the analysis

**Author:** Andrei Stefan<br>
**Date:** November 2023

This folder contains the datafiles which are used in the analysis of this study.


## Contents of this folder

| Filename                                                     | Content                                                                                                                                                 |
| ------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| README.md                                                    | The file you are currently reading - provides an overview of our data files.                                                                            |
| c_after.csv                                                  | Confidence after the entire conversation for all 114 participants.                                                                                      |
| c_before.csv                                                 | Confidence before the conversation for all 114 participants.                                                                                            |
| c_changes_to_plan_1_after.csv                                | Confidence after the first change to the plan.                                                                                                          |
| c_changes_to_plan_1_before.csv                               | Confidence before the first change to the plan.                                                                                                         |
| c_changes_to_plan_2_after.csv                                | Confidence after the second change to the plan.                                                                                                         |
| c_changes_to_plan_2_before.csv                               | Confidence before the second change to the plan.                                                                                                        |
| c_deal_with_barriers_after.csv                               | Confidence after dealing battiers.                                                                                                                      |
| c_deal_with_barriers_before.csv                              | Confidence before dealing with battiers.                                                                                                                |
| c_explain_planning_after.csv                                 | Confidence after explaining why planning matters.                                                                                                       |
| c_explain_planning_before.csv                                | Confidence before explaining why planning matters.                                                                                                      |
| c_identify_barriers_after.csv                                | Confidence after identifying battiers.                                                                                                                  |
| c_identify_barriers_before.csv                               | Confidence before identifying battiers.                                                                                                                 |
| c_show_testimonials_after.csv                                | Confidence after showing testimonials.                                                                                                                  |
| c_show_testimonials_before.csv                               | Confidence before showing testimonials.                                                                                                                 |
| data_adjusted.csv                                            | The state-action-next state- reward samples, adjusted to have 2 values for confidence and 2 values for perceived usefulness in the states.              |
| data_no_features.csv                                         | The state-action-next state- reward samples, adjusted to have only the actions done as part of the states.                                              |
| prolific_ids.csv                                             | A list of Prolific ids (currently, anonymised to participant_1 - participant_114)                                                                       |
| pu_after.csv                                                 | Perceived usefulness after the entire conversation for all 114 participants.                                                                            |
| pu_before.csv                                                | Perceived usefulness before the entire conversation for all 114 participants.                                                                           |
| pu_changes_to_plan_1_after.csv                               | Perceived usefulness after the first change to the plan.                                                                                                |
| pu_changes_to_plan_1_before.csv                              | Perceived usefulness before the first change to the plan.                                                                                               |
| pu_changes_to_plan_2_after.csv                               | Perceived usefulness after the second change to the plan.                                                                                               |
| pu_changes_to_plan_2_before.csv                              | Perceived usefulness before the second change to the plan.                                                                                              |
| pu_deal_with_barriers_after.csv                              | Perceived usefulness after dealing with barriers.                                                                                                       |
| pu_deal_with_barriers_before.csv                             | Perceived usefulness before dealing with barriers.                                                                                                      |
| pu_explain_planning_after.csv                                | Perceived usefulness after explaining why planning matters.                                                                                             |
| pu_explain_planning_before.csv                               | Perceived usefulness before explaining why planning matters.                                                                                            |
| pu_identify_barriers_after.csv                               | Perceived usefulness after showing testimonials.                                                                                                        |
| pu_identify_barriers_before.csv                              | Perceived usefulness before identifying barriers.                                                                                                       |
| pu_show_testimonials_after.csv                               | Perceived usefulness after showing testimonials.                                                                                                        |
| pu_show_testimonials_before.csv                              | Perceived usefulness before showing testimonials.                                                                                                       |
| thematic_analysis_demotivating.csv                           | Demotivating responses which were not used in training or testing the second coder, double coded.                                                       |
| thematic_analysis_demotivating_examples_for_second_coder.xlsx| Examples of demotivating responses, with the corresponding codes, and responses for testing the second coder.                                           |
| thematic_analysis_demotivating_full.csv                      | All of the demotivating responses.                                                                                                                      |
| thematic_analysis_final_double_coding.xlsx                   | All of the motivating and demotivating responses, coded by both coders, and the codes with explanations.                                                |
| thematic_analysis_motivating.csv                             | Motivating responses which were not used in training or testing the second coder, double coded.                                                         |
| thematic_analysis_motivating_examples_for_second_coder.xlsx  | Examples of motivating responses, with the corresponding codes, and responses for testing the second coder.                                             |
| thematic_analysis_motivating_full.csv                        | All of the motivating responses.                                                                                                                        |
| anonymised_data/                                             | Folder containing the anonymised data.                                                                                                                  |
| - anonymised_data_contemplating.csv                          | State-action-next state-reward data for people who were in the TTM contemplating stage.                                                                 |
| - anonymised_data_conversation_items.csv                     | Interaction data about the persuasive strategies and the responses to them.                                                                             |
| - anonymised_data_demographic.csv                            | Demographic data from Prolific.                                                                                                                         |
| - anonymised_data_final.csv                                  | Final state-action-next state-reward data.                                                                                                              |
| - anonymised_data_final_without_time_and_id.csv              | Final state-action-next state-reward data, without the time of the sample and the id of the person.                                                     |
| - anonymised_data_high_attitude.csv                          | State-action-next state-reward data for people who had high attitude usefulness according to the prescreening.                                          |
| - anonymised_data_high_confidence.csv                        | State-action-next state-reward data for people who had high confidence usefulness according to the prescreening.                                        |
| - anonymised_data_high_perceived_usefulness.csv              | State-action-next state-reward data for people who had high perceived usefulness according to the prescreening.                                         |
| - anonymised_data_low_attitude.csv                           | State-action-next state-reward data for people who had low attitude usefulness according to the prescreening.                                           |
| - anonymised_data_low_confidence.csv                         | State-action-next state-reward data for people who had low confidence usefulness according to the prescreening.                                         |
| - anonymised_data_low_perceived_usefulness.csv               | State-action-next state-reward data for people who had low perceived usefulness according to the prescreening.                                          |
| - anonymised_data_man.csv                                    | State-action-next state-reward data for people who identify as a man.                                                                                   |
| - anonymised_data_moderate.csv                               | State-action-next state-reward data for people who were moderately active according to the Godin-Shephard leisure-time physical activity questionnaire. |
| - anonymised_data_post_questionnaire.csv                     | Post questionnaire data, containing the ASA questions, and motivating and demotivating aspects of the conversation.                                     |
| - anonymised_data_preparing.csv                              | State-action-next state-reward data for people who were in the TTM preparing stage.                                                                     |
| - anonymised_data_prescreening.csv                           | Prescreening data.                                                                                                                                      |
| - anonymised_data_prescreening_no_changes.csv                | Prescreening data with the original separate columns for the Godin-Shephard leisure-time physical activity questionnaire questions.                     |
| - anonymised_data_sedentary.csv                              | State-action-next state-reward data for people who were sedentary according to the Godin-Shephard leisure-time physical activity questionnaire.         |
| - anonymised_data_state_action_state.csv                     | Interaction data about the samples.                                                                                                                     |
| - anonymised_data_woman_and_non_binary.csv                   | State-action-next state-reward data for people who identify as a woman or non-binary.                                                                   |

## Contents of the data files

### Files for the effects of actions
The files are: c_after.csv, c_before.csv, c_changes_to_plan_1_after.csv, c_changes_to_plan_1_before.csv, c_changes_to_plan_2_after.csv, c_changes_to_plan_2_before.csv, c_deal_with_barriers_after.csv, c_deal_with_barriers_before.csv, c_explain_planning_after.csv, c_explain_planning_before.csv, c_identify_barriers_after.csv, c_identify_barriers_before.csv, c_show_testimonials_after.csv, c_show_testimonials_before.csv, pu_after.csv, pu_before.csv, pu_changes_to_plan_1_after.csv, pu_changes_to_plan_1_before.csv, pu_changes_to_plan_2_after.csv, pu_changes_to_plan_2_before.csv, pu_deal_with_barriers_after.csv, pu_deal_with_barriers_before.csv, pu_explain_planning_after.csv, pu_explain_planning_before.csv, pu_identify_barriers_after.csv, pu_identify_barriers_before.csv, pu_show_testimonials_after.csv, pu_show_testimonials_before.csv.
All contain:
- a single (unnamed) field, containing the raw value of the respective piece of data (e.g. the c_after.csv file contains the raw values of the confidence after the interaction, for all of the 114 participants).

### Files that can be used as inputs to generate the files for the effects of actions
The files are: anonymised_data_contemplating.csv, anonymised_data_preparing.csv, anonymised_data_man.csv, anonymised_data_woman_and_non_binary.csv, anonymised_data_sedentary.csv, anonymised_data_moderate.csv, anonymised_data_low_attitude.csv, anonymised_data_high_attitude.csv, anonymised_data_low_confidence.csv, anonymised_data_high_confidence.csv, anonymised_data_low_perceived_usefulness.csv, anonymised_data_high_perceived_usefulness.csv.
All contain the following fields:
- prolific_id: the anonymised Prolific id of the participant,
- state_before: the state before the action was taken, formatted as [number of changes made to plans, 'confidence', 'perceived usefulness', 'attitude', the action of explain planning done, the action of identifying barriers done, the action of dealing with barriers done, the action of showing testimonials done]
- action: one of the five possible actions: making changes to the plan, explaining why planning is useful, identifying barriers, dealing with barriers, showing testimonials.
- state_after: the state after the action was take, formatted the same as the state_before,
- reward: 0 for samples which are not the last for a participant, and a list of 4 values otherwise, formatted as [satisfaction, commitment to the first two weeks of the plan, commitment to the entire plan, confidence in reaching the goal].

### data_adjusted.csv

Contains the final, adjusted samples used in the analysis. The samples had the states adjusted to exclude the attitude, and to have two values for confidence and two values for perceived usefulness, corresponding to mapping the bottom 50% of values to the value 0 and the top 50% of values to the value 1 in both cases.
The fields contained are:
- state_before,
- action,
- state_after,
- reward.
These are all formatted as explained above.

### data_no_features.csv

Contains the same final samples from the data_adjusted.csv file, with the difference being that the confidence and perceived usefulness are removed.
The fields contained are:
- state_before, formatted as [number of changes made to plans, 'attitude', the action of explain planning done, the action of identifying barriers done, the action of dealing with barriers done, the action of showing testimonials done], 
- action,
- state_after, formatted as [number of changes made to plans, 'attitude', the action of explain planning done, the action of identifying barriers done, the action of dealing with barriers done, the action of showing testimonials done],
- reward.

### prolific_ids.csv

Contains a list of Prolific ids. Initially, these were real Prolific ids and the list was used to map them to anonymised ids.

The only field is:
- a single (unnamed) field, containing the id (formatted as participant_{number}, with number from 1 to 114).

### thematic_analysis_demotivating.csv

Contains the double coded demotivating responses that were not used to train or test the second coder.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- Code numbers: the codes assigned by the second coder (values between 1 and 9 or "no code"),
- Original code numbers: the codes assigned by the first coder (values between 1 and 9 or "no code").

### thematic_analysis_demotivating_examples_for_second_coder.xlsx

Contains examples for each of the 9 codes used for the demotivating aspects of the interaction, and the 12 examples used to test the second coder.

There are two sheets:
1. codes and examples, with fields:
- Code number: the number of the code (values between 1 and 9),
- Code name: the name of the code, indcating what it represents in a few words (possible values are: repeating, lack of tailored answers, testimonials, nothing, lack of deeper understanding, robotic, difficulty of plan, long chat, not enough plan customisability or detail, problems with input formatting),
- Description: a longer description of the code,
- Example: an example of a response that fits the code, according to the first coder.

2. training examples:
- Example: an example of a response,
- Code numbers: the codes assigned by the second coder (values between 1 and 9 or "no code"),
- Original answers: the codes assigned by the first coder (values between 1 and 9 or "no code").

### thematic_analysis_demotivating_full.csv

Contains all of the demotivating responses, coded by the first coder.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- Original code numbers: the codes assigned by the first coder (values between 1 and 9 or "no code").

### thematic_analysis_final_double_coding.xlsx

Contains all of the codes, for both motivating and demotivating aspects of the interaction, and the double coding for them.

There are three sheets:
1. motivating:
- Prolific id: the (anonymised) id of the participant,
- Motivating factors: the participant's open-ended response to the question "What part of your conversation with Jamie was the most motivating for you, in terms of following the plan?",
- Code numbers: the codes assigned by the second coder (values between 1 and 10 or "no code"),
- Original answers: the codes assigned by the first coder (values between 1 and 10 or "no code").

2. demotivating:
- Prolific id: the (anonymised) id of the participant,
- Motivating factors: the participant's open-ended response to the question "What part of your conversation with Jamie was the most demotivating for you, in terms of following the plan?",
- Code numbers: the codes assigned by the second coder (values between 1 and 9 or "no code"),
- Original answers: the codes assigned by the first coder (values between 1 and 9 or "no code").

3. Codes:
- Code number: the number of the code,
- Code name: the name of the code, indcating what it represents in a few words,
- Description: a longer description of the code,
- Example: an example of a response that fits the code, according to the first coder.


### thematic_analysis_motivating.csv

Contains the double coded motivating responses that were not used to train or test the second coder.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- Code numbers: the codes assigned by the second coder (values between 1 and 10 or "no code"),
- Original code numbers: the codes assigned by the first coder (values between 1 and 10 or "no code").

### thematic_analysis_motivating_examples_for_second_coder.xlsx

Contains examples for each of the 10 codes used for the demotivating aspects of the interaction, and the 12 examples used to test the second coder.

There are two sheets:
1. codes and examples, with fields:
- Code number: the number of the code (values between 1 and 10),
- Code name: the name of the code, indcating what it represents in a few words (possible values are: the plan, tailoring the plan, dealing with barriers, planning on time slots, achievable plan, considering energy levels, nothing, testimonials, encouraging to do/be better, meaningful information),
- Description: a longer description of the code,
- Example: an example of a response that fits the code, according to the first coder.

2. training examples:
- Example: an example of a response,
- Code numbers: the codes assigned by the second coder (values between 1 and 10 or "no code"),
- Original answers: the codes assigned by the first coder (values between 1 and 10 or "no code").

### thematic_analysis_motivating_full.csv

Contains all of the motivating responses, coded by the first coder.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- Original code numbers: the codes assigned by the first coder (values between 1 and 10 or "no code").

### anonymised_data_conversation_items.csv

Contains conversation data from the interaction between the virtual coach and the participants. The data is already anonymised. Responses with sensitive personal information have the sensitive personal information replaced by [...]. 
The testimonials used are taken from "Data and code underlying the master thesis: Goal-setting dialogue for physical activity with a virtual coach" by Beyza Hizli, Nele Albers, and Willem-Paul Brinkman, which can be found [here](https://data.4tu.nl/datasets/84ce8a84-df49-4dab-9fb6-8353ca46155a/1). For the specific testimonial, refer to the ```data/examples.xlsx``` file. We formatted them as follows:
Here is how this person introduces themselves: '{introduction from the corresponding example number}'. This person achieved the following goal: '{goal from the corresponding example number}. {how from the corresponding example number}'
In this file, we only provide the corresponding example numbers.
It contains the following fields:
- prolific_id: the (anonymised) id of the participant,
- goal: the goal that the person set, in number of steps per day (possible values are 10000, 11000, 12000),
- plan_1: the first plan proposed to the person,
- plan_2: the second plan proposed to the person,
- plan_3: the third plan proposed to the person,
- reward: the reward signal, containing the four components of the rewards:
- - satisfaction: the person's satisfaction with the dialogue, answer to the question "How satisfied or dissatisfied were you with the dialogue?" on a -10 to 10 scale ("I am very dissatisfied" to "I am very satisfied"),
- - commitment_1: the person's commitment to the first two weeks of the plan, answer to the question "How much do you agree with the following statement: 'I am committing to being physically active by following the first two weeks of the plan, no matter what feels uncomfortable or challenging about that'?" on a -10 to 10 scale ("-10 (I strongly disagree)" to "10 (I strongly agree)"),
- - commitment_f: the person's commitment to the entire plan, answer to the question "How much do you agree with the following statement: 'I am committing to being physically active by following the first two weeks of the plan, no matter what feels uncomfortable or challenging about that'?" on a -10 to 10 scale ("-10 (I strongly disagree)" to "10 (I strongly agree)"),
- - confidence_goal: the person's confidence in reaching the goal they set previously, answer to the question "How confident are you that you can reach your goal of being able to take {goal} steps per day in six months from now?" on a 0 to 10 scale ("0 (I am not confident at all that I can reach my goal)" to "10 (I am very confident that I can reach my goal)"), 
- testimonial_1: the example number of the testimonial in "Data and code underlying the master thesis: Goal-setting dialogue for physical activity with a virtual coach",
- takeaway_1: the person's takeaway from the first testimonial, open answer to the question "What can you take away from this example for yourself? Please type this in the chat.",
- testimonial_2: the example number of the testimonial in "Data and code underlying the master thesis: Goal-setting dialogue for physical activity with a virtual coach",
- takeaway_2: the person's takeaway from the second testimonial, open answer to the question "How about this example? What can you take away for yourself? Please type this in the chat.",
- identified_barrier: the type of barrier identified by the person, possible values: time - lack of time, energy - lack of energy, people - disliking being in the presence of others when exercising, equipment - lack of equipment, family - family obligations, other - a different kind of barrier, answer to the question "Which of these do you think is the biggest barrier for you?",
- barrier_description: open text description of the person's barrier, open ended answer to the question "Would you mind briefly describing your barrier to me in the chat?",
- barrier_strategy_1: the person's first strategy for dealing with their barrier, open ended answer to the question "Think for yourself: how can you overcome this barrier? Please type your strategy in the chat.",
- barrier_strategy_2: the person's second strategy for dealing with their barrier, after receiving a suggestion from the virtual coach for how to deal with their barrier,depending on the type (or no suggestion if the type was other), open ended answer to the question "Now that you have seen my suggestion, maybe you have gotten a different idea for a solution. So, I would like to ask again: how would you overcome this barrier?",
- planning_relevance: the reason why the person thinks planning can help them, possible values are motivation - it can help keep them motivated to go for walks, habit - it can help them create a habit of taking walks regularly, road - it can help them visualise the road towards the goal, obstacles - it can help them deal with obstacles, answer to the question "I think it would be useful to look at ways in which planning can help you be more physically active by walking. First off, which of these reasons is most relevant for you?",
- planning_importance_explanation: open text description of why the person thinks planning can help them in a certain way, open ended answer to the question "How do you think planning can help you do this? Let me know by typing in the chat.".

### anonymised_data_final.csv

Contains the raw final anonymised data, before removing the attitude from the state and adjusting it to 2 values for confidence and two values for perceived usefulness.

The fields contained are:
- prolific_id: the anonymised Prolific id of the participant,
- state_before: the state before the action was taken, formatted as [number of changes made to plans, 'confidence', 'perceived usefulness', 'attitude', the action of explain planning done, the action of identifying barriers done, the action of dealing with barriers done, the action of showing testimonials done]
- action: one of the five possible actions: making changes to the plan, explaining why planning is useful, identifying barriers, dealing with barriers, showing testimonials.
- state_after: the state after the action was taken, formatted the same as the state_before,
- reward: 0 for samples which are not the last for a participant, and a list of 4 values otherwise, formatted as [satisfaction, commitment to the first two weeks of the plan, commitment to the entire plan, confidence in reaching the goal].

### anonymised_data_final_without_id.csv

The same as the anonymised_data_final.csv file, but without the prolific_id field.


### anonymised_data_post_questionnaire.csv

Contains data from the post questionnaire: the short form of the ASA questionnaire, and the answers about the motivating and demotivating aspects of the interaction.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- ASA_1 to ASA_24: the answer to the asa question from the short form of the ASA questionnaire [Fitrianie et al., 2022](https://dl.acm.org/doi/abs/10.1145/3514197.3549612) (questions 12, 17, 18, and 22 are on a reversed scale and need to be flipped when used), answers are on a -3 to 3 scale from "disagree" to "agree", and [The agent] is replaced with Jamie when formulating the questions.
- Motivating factors: what the person found motivating about the interaction, open ended answer to the question "What part of your conversation with Jamie was the most motivating for you, in terms of following the plan?",
- Demotivating factors: what the person found demotivating about the interaction, open ended answer to the question "What part of your conversation with Jamie was the most demotivating for you, in terms of following the plan?".

### anonymised_data_prescreening.csv 

Contains data from the prescreening, about people's weekly physical activity, TTM stage, their frequency and enjoyment of creating plans, their confidence in following plans, perceived usefulness of planning, and attitude towards planning, and their score in the Godin-Shephard leisure-time physical activity questionnaire.

The fields contained are:
- Prolific id: the (anonymised) id of the participant,
- Weekly physical activity: how much physical activity the person does, the question was taken from Prolific and was "How often do you engage in physical exercise per week?", with options "Never (0 – 60 minutes per week)", "Sometimes (60 – 150 minutes per week)", "Often (more than 150 minutes per week)", and "Rather not say". We only wanted people who answered "Never (0 – 60 minutes per week)", so the weekly physical activity was set as a prescreener, meaning that only people who anwered "Never (0 – 60 minutes per week)" could see the study and choose to participate. We validated their weekly physical activity by asking the same question, but without the last option ("Rather not say") for an answer. We then only allowed people who answered "Never (0 – 60 minutes per week)" to our question to participate, so all values for this field are "Never (0 – 60 minutes per week)".
- TTM stage: the person's stage in the transtheoretical model, answer to the question "Physical activity is any bodily movement produced by skeletal muscles that requires energy expenditure. This includes exercise (e.g. swimming, jogging) as well as other activities which involve bodily movement and are done as a part of playing, working, active transportation, house chores and recreational activities. The World Health Organization recommends to do 2 types of physical activity every week: 1. aerobic physical activity in one of these 3 forms:​​​​​​​​​​​​​​ at least 2.5 - 5 hours of moderate-intensity aerobic physical activity, at least 1.25 - 2.5 hours of vigorous-intensity aerobic physical activity, an equivalent combination of moderate- and vigorous-intensity activity. 2. muscle-strengthening activities at moderate or greater intensity that involve all major muscle groups on 2 or more days. Adults who are 65 or older and have poor mobility should additionally perform vared multicomponent physical activity that emphasizes functional balance and strength training at moderate or greater intensity to enhance functional capacity and prevent falls on 3 or more days per week. Are you physically active according to this definition?", with possible answers "Yes, I have been for more than 6 months", "Yes, I have been for LESS than 6 months", "No, but I intend to in the next 30 days", "No, but I intend to in the next 6 months", "No, and I do not intend to in the next 6 months", which we mapped to the TTM stages maintenance, action, preparation, contemplation, pre-contemplation, according to [Nigg, 2023](https://web.uri.edu/cprc/measures/exercise/stages-of-change-short-form/). Only people in the preparation and contemplation stage were allowed to participate in the interaction, so the values for this field are either "Preparing" or "Contemplating".
- Feeling about creating plans in general: the person's enjoyment of creating plans in general, the question was based on [Stevens et al, 2000](https://www.researchgate.net/publication/12483944_The_Groningen_Enjoyment_Questionnaire_A_Measure_of_Enjoyment_in_Leisure-Time_Physical_Activity), on a -5 to 5 scale ("Bad" to "Good"),
- Feeling about creating plans for walks: the same as the field above, but formulated about plans for taking walks,
- Number of plans general: the number of plans people created in the past 3 months, answer to the question "In the past 3 months, how many plans for things you need to do in the future did you create?", based on [Emily Geisen, 2020](https://www.qualtrics.com/blog/measuring-behavioral-frequency/), with values between 0 and 30 considered valid,
- Number of plans for walking: the number of plans for walking people created in the past 3 months, answer to the question "In the past 3 months, how many plans for taking walks did you create?", based on [Emily Geisen, 2020](https://www.qualtrics.com/blog/measuring-behavioral-frequency/), with values between 0 and 30 considered valid,
- Confidence: the person's confidence that they can follow plans, answer to the question "How confident are you that you can follow plans for taking walks?" on a 0 to 10 scale ("Not confident at all" to "Very confident"),
- Perceived usefulness: the person's perceived usefulness of planning, answer to the question "To what extent do you think planning can help or hinder you in terms of taking walks?", based on [Larmuseau et al., 2018](https://www.researchgate.net/publication/326997841_Perceptions_of_instructional_quality_impact_on_acceptance_and_use_of_an_online_learning_environment) on a -10 to 10 scale ("I think it can hinder me very much" to "I think it can help me very much"),
- Attitude: the person's attitude towards planning, answer to the question "Making plans for taking walks is..." [Francis et al., 2004](https://openaccess.city.ac.uk/id/eprint/1735/1/) on a -10 to 10 scale ("Bad" to "Good"),
- Godin score: the person's score in the Godin-Shephard leisure-time physical activity questionnaire [Godin, 2011](https://hfjc.library.ubc.ca/index.php/HFJC/article/view/82). Only people with a score lower than 24 (so people who qualify as Sedentary or Moderately active) were allowed to participate, so the values of this field range from 0 to 23.

### anonymised_data_prescreening_no_changes.csv 

The same as the anonymised_data_prescreening.csv file, but does not have the Godin score field, and instead has:
- Godin strenuous: the typical number of times the person does strenouous exercise for more than 15 minutes in a week,
- Godin moderate: the typical number of times the person does moderate exercise for more than 15 minutes in a week,
- Godin mild: the typical number of times the person does mild exercise for more than 15 minutes in a week.
(The definitions for strenuous, moderate, and mild exercise are provided in [Godin, 2011](https://hfjc.library.ubc.ca/index.php/HFJC/article/view/82)).

Also, the TTM stage field now has the original values "No, but I intend to in the next 6 months." - corresponding to Contemplating, and "No, but I intend to in the next 30 days." - corresponding to preparing, and the confidence, perceived usefulness, and attitude answers contain the text if they are at either the end points or the middle of the scale.

### anonymised_data_state_action_state.csv

Contains part of the raw data used to build the samples (they are missing the reward).

The fields contained are:
- prolific_id: the anonymised Prolific id of the participant,
- time: the time when the sample was recorded,
- state_before: the state before the action was taken, formatted as [number of changes made to plans, 'confidence', 'perceived usefulness', 'attitude', the action of explain planning done, the action of identifying barriers done, the action of dealing with barriers done, the action of showing testimonials done]
- action: one of the five possible actions: making changes to the plan, explaining why planning is useful, identifying barriers, dealing with barriers, showing testimonials.
- state_after: the state after the action was taken, formatted the same as the state_before.

